Bug 57659 - big-endian EXIF Tag "Orientation" is disregarded by Writer
Summary: big-endian EXIF Tag "Orientation" is disregarded by Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium enhancement
Assignee: Julien Nabet
URL:
Whiteboard: BSA target:4.2.0 target:4.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-28 19:14 UTC by Andreas Borutta
Modified: 2013-12-17 09:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
jpeg demo picture with exif orientation flag set (95.94 KB, image/jpeg)
2013-09-04 08:47 UTC, Sven-Jacobi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Borutta 2012-11-28 19:14:06 UTC
Problem description: 
A user wants to produce a foto book with Writer. His camera tags all fotos with a correct EXIF tag for the orientation. A foto viewer like e.g. Irfan View shows all fotos in the correct orientation.
When a foto in an upright format is inserted into Writer, the foto appears in landscape format.

Steps to reproduce:
1. Take a foto with the EXIF tag "Orientation" = Right Top
2. Menu Insert > Picture > From File

Current behavior: 
The foto appears in landscape format

Expected behavior:
The foto should appear in upright format

              
Operating System: Windows 7
Last worked in: 3.5.3 release
Comment 1 Robert Großkopf 2012-11-28 19:47:39 UTC
I can confirm this behavior. Image-program read the exif-tag, why doesn't writer use this information and turns the image. Could be that it will ask, if the image should be turned - like GIMP does.
Comment 2 Michael Stahl (CIB) 2012-12-04 19:50:02 UTC
has this ever worked with a previous version of LibreOffice or OpenOffice.org?

please provide details on that question before using "regression" keyword.

also it would help if you attach an example image that is inserted
with the wrong orientation.
Comment 3 Sven-Jacobi 2013-09-04 08:47:55 UTC
Created attachment 85178 [details]
jpeg demo picture with exif orientation flag set
Comment 4 Sven-Jacobi 2013-09-04 08:52:50 UTC
I think this bug is getting more and more important, e.g. many pictures taken with an IPhone are using the exif metadata orientation flag.
Comment 5 Commit Notification 2013-10-15 09:27:20 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ad12d1a540eeb54fbb34afc3b7a76bf9e3207c3

fdo#57659: fix exif processing



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-10-29 12:26:30 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc7b83af9865bfd937cf45242781a8d7677f6204&h=libreoffice-4-1

fdo#57659: fix exif processing


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 vulcain 2013-12-16 21:02:40 UTC
I confirm it works on LibreOffice 4.2.0.0.beta2 (Build ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d ) and on LibreOffice 4.1.4.2 (Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72). The both are on Ubuntu 12.04 x86_64
Comment 8 retired 2013-12-17 09:51:50 UTC
setting to verified.